# Orchestration.StartOrchestrationAction

[This is preliminary documentation and subject to change.]

Starts the orchestration.

If the orchestration is not yet enlisted, then this will be done first.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
autoenablereceivelocation | bool | Specifies whether receive locations associated with this orchestration should be automatically enabled. The default is false. | False
autoresumeorchestration | bool | Specifies whether service instances of this orchestration that were manually suspended previously should be automatically resumed. The default is true. | False
autostartsendports | bool | Specifies whether send ports and send port groups imported by this orchestration should be automatically started. The default is true. | False

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)